Get a delivery window
curl --request GET \
--url https://api.sandbox.usenash.com/v1/delivery-window/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.sandbox.usenash.com/v1/delivery-window/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.sandbox.usenash.com/v1/delivery-window/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.sandbox.usenash.com/v1/delivery-window/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.sandbox.usenash.com/v1/delivery-window/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.sandbox.usenash.com/v1/delivery-window/{id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.sandbox.usenash.com/v1/delivery-window/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "dw_01234567890123456789",
"name": "Monday Delivery Window",
"startTime": "2024-01-01T10:00:00Z",
"startTimeLocal": "2024-01-01T10:00:00",
"endTime": "2024-01-01T12:00:00Z",
"endTimeLocal": "2024-01-01T12:00:00",
"timezoneId": "America/New_York",
"cutoffTime": "2024-01-01T10:00:00Z",
"cutoffTimeLocal": "2024-01-01T10:00:00",
"rrule": "RRULE:FREQ=WEEKLY;BYDAY=MO",
"exceptionDates": [
"2024-01-01",
"2024-01-02"
],
"allowedTags": [
"service:rapid",
"service:express",
"franchise_location"
],
"leadTimeMinutes": 60,
"priceCents": 1000,
"minimumOrderValueCents": 1000,
"maximumCapacity": 1000,
"storeLocationId": "stl_01234567890123456789",
"zoneId": "zone_01234567890123456789",
"zoneExternalId": "ext_01234567890123456789",
"windowMetadata": {
"key": "value"
},
"isActive": true,
"isDeleted": false
}[
{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
},
"response_status": "<string>",
"RequestID": "<string>"
}
]Get a delivery window
Retrieve a single delivery window by ID, including its time slot, capacity, and status.
GET
/
v1
/
delivery-window
/
{id}
Get a delivery window
curl --request GET \
--url https://api.sandbox.usenash.com/v1/delivery-window/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.sandbox.usenash.com/v1/delivery-window/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.sandbox.usenash.com/v1/delivery-window/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.sandbox.usenash.com/v1/delivery-window/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.sandbox.usenash.com/v1/delivery-window/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.sandbox.usenash.com/v1/delivery-window/{id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.sandbox.usenash.com/v1/delivery-window/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "dw_01234567890123456789",
"name": "Monday Delivery Window",
"startTime": "2024-01-01T10:00:00Z",
"startTimeLocal": "2024-01-01T10:00:00",
"endTime": "2024-01-01T12:00:00Z",
"endTimeLocal": "2024-01-01T12:00:00",
"timezoneId": "America/New_York",
"cutoffTime": "2024-01-01T10:00:00Z",
"cutoffTimeLocal": "2024-01-01T10:00:00",
"rrule": "RRULE:FREQ=WEEKLY;BYDAY=MO",
"exceptionDates": [
"2024-01-01",
"2024-01-02"
],
"allowedTags": [
"service:rapid",
"service:express",
"franchise_location"
],
"leadTimeMinutes": 60,
"priceCents": 1000,
"minimumOrderValueCents": 1000,
"maximumCapacity": 1000,
"storeLocationId": "stl_01234567890123456789",
"zoneId": "zone_01234567890123456789",
"zoneExternalId": "ext_01234567890123456789",
"windowMetadata": {
"key": "value"
},
"isActive": true,
"isDeleted": false
}[
{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
},
"response_status": "<string>",
"RequestID": "<string>"
}
]Authorizations
Path Parameters
Response
OK
Response for a delivery window.
Was this page helpful?